Bug 124709 - Black background on surrounding GL canvas after slideshow
Summary: Black background on surrounding GL canvas after slideshow
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: VCL-OpenGL Slide-Show
  Show dependency treegraph
 
Reported: 2019-04-12 20:19 UTC by Aron Budea
Modified: 2020-06-26 14:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (85.34 KB, image/png)
2019-04-12 20:19 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-04-12 20:19:00 UTC
Created attachment 150720 [details]
Screenshot

This requires a tiny bit of preparation: have a full-screen hardware-accelerated browser window in the background (Firefox, Chrome, both are fine).

- Start Impress with OpenGL enabled, in a window.
- Run full-screen presentation.

=> After finishing the presentation, the background window becomes black.
See attached screenshot, I moved the LO window a bit to reveal some of the browser window.

Bibisected to the following commit using repo bibisect-win32-6.3. I assume something in the GL code relied on the previous, incorrect values from the fixed functions.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=dd199ccb46c036713c704a23e137d04623936e47
author	Mike Kaganski <mike.kaganski@collabora.com>	2019-02-17 16:30:55 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-02-18 09:28:19 +0100

tdf#98896: GetWidth/GetHeight vs getWidth/getHeight strikes back!
Comment 1 Miklos Vajna 2019-04-17 12:19:07 UTC
I can't reproduce this; is the presentation you used special in any way? I just tried with an empty presentation.
Comment 2 Aron Budea 2019-04-17 13:00:42 UTC
To add the details here as well:
- presentation can be completely empty,
- I tested on an AMD GPU, and also with Intel, both on Win 7 (had to force GL for the Intel one),
- no need for browser window, can be reproduced by having a different GL-enabled LO window in the background, just make sure it's a different process, ie. from another install.
Comment 3 mulla.tasanim 2019-04-18 05:28:08 UTC
Thank you for reporting the bug.

I can not reproduce the bug in


Version: 6.2.1.2 (x64)
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL


Version: 6.3.0.0.alpha0+ (x64)
Build ID: 91cdf22b88a4f7bec243c8fb187627e766d3294c
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-03-08_00:38:10
Locale: en-US (en_US); UI-Language: en-US
Calc: CL

I have tried it with empty presentation with Firefox chrome browser windows open and also by having a different GL-enabled LO window in the background
Comment 4 Aron Budea 2019-04-18 06:02:03 UTC
(In reply to mulla.tasanim from comment #3)
> I can not reproduce the bug in
Thanks for checking! Please note that it requires GL rendering to be enabled in LO, while your versions say "UI render: default" (should say "UI render: GL"). Additionally, the bug is only expected to occur in the 2nd version of what you tried, as it was committed to master branch on 2019-02-18, and hasn't been backported to 6.2.
Comment 5 Telesto 2019-04-18 10:37:46 UTC
(In reply to Aron Budea from comment #4)
> (In reply to mulla.tasanim from comment #3)
> > I can not reproduce the bug in
> Thanks for checking! Please note that it requires GL rendering to be enabled
> in LO, while your versions say "UI render: default" (should say "UI render:
> GL"). Additionally, the bug is only expected to occur in the 2nd version of
> what you tried, as it was committed to master branch on 2019-02-18, and
> hasn't been backported to 6.2.

Any change for a screencast. I can't repro:
Version: 6.3.0.0.alpha0+
Build ID: 3a5d78365dd172881c16c03e67f2d170ffc6d7d4
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-04-09_22:53:59
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 6 Aron Budea 2019-04-18 22:58:26 UTC
I'm afraid I can't record a screencast, but found another parameter that might influence is. I normally don't use Aero themes on Win7. By enabling Aero themes, I can't repro this issue, and by going back to my usual Windows 7 Basic (non-Aero) theme, I can repro it after 3-4 attempts.

The actual setting this might be depending on is the "desktop composition", see:
https://support.lenovo.com/us/en/solutions/ht071432
Comment 7 Miklos Vajna 2019-04-30 12:23:49 UTC
Aha yes, I can reproduce if I switch to Windows 7 Basic.